Post Form Inputs
Authentication
AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Request
This endpoint expects an object.
form_step_id
instruction_input_id
input
Response
created FormInput
id
ULID
input
unformatted_date_input
selected_multi_options
selected_input_records
failed_validations
prefix
suffix
instruction_input_title
instruction_input_id
ULID
attachments
form_step_id
ULID
created_at
Unix timestamp (seconds since epoch)
updated_at
Unix timestamp (seconds since epoch)
conditional
True when the input only applies if another input’s answer meets its precondition (see InstructionInput.precondition)
condition_met
Whether the answer to the triggering input currently meets this input’s precondition. Always true for inputs that are not conditional; a conditional input with condition_met false does not currently apply.
instruction_row_id
ULID of the table row this input is a cell of, on tabular steps (see InstructionStep.table). Null for regular inputs.
